aboutsummaryrefslogtreecommitdiff
path: root/deps/openssl/openssl/test
diff options
context:
space:
mode:
authorBert Belder <bertbelder@gmail.com>2012-09-11 21:33:15 +0200
committerBert Belder <bertbelder@gmail.com>2012-09-12 05:23:47 +0200
commitff22a0cb15c0513c0f40367f46de69da0056097d (patch)
tree8ec5938230ea6bb7a89c4f63346d38f82f617904 /deps/openssl/openssl/test
parentb61ae54e18c9f6ada7e746052ef6b39272b18a15 (diff)
downloadandroid-node-v8-ff22a0cb15c0513c0f40367f46de69da0056097d.tar.gz
android-node-v8-ff22a0cb15c0513c0f40367f46de69da0056097d.tar.bz2
android-node-v8-ff22a0cb15c0513c0f40367f46de69da0056097d.zip
openssl: reduce memory consumption
SSL records may be as large as 16K, but are typically < 2K. In addition, a historic bug in Windows allowed records to be as large 32K. OpenSSL statically allocates read and write buffers (34K and 18K respectively) used for processing records. With this patch, OpenSSL statically allocates 4K + 4K buffers, with the option of dynamically growing buffers to 34K + 4K, which is a saving of 44K per connection for the typical case. This patch is taken from the Android Open Source Project.
Diffstat (limited to 'deps/openssl/openssl/test')
-rw-r--r--deps/openssl/openssl/test/testssl9
1 files changed, 9 insertions, 0 deletions
diff --git a/deps/openssl/openssl/test/testssl b/deps/openssl/openssl/test/testssl
index 5ae4dc8720..0e3d6aa755 100644
--- a/deps/openssl/openssl/test/testssl
+++ b/deps/openssl/openssl/test/testssl
@@ -70,6 +70,15 @@ $ssltest -client_auth $CA $extra || exit 1
echo test sslv2/sslv3 with both client and server authentication
$ssltest -server_auth -client_auth $CA $extra || exit 1
+echo test sslv2/sslv3 with both client and server authentication and small client buffers
+$ssltest -server_auth -client_auth -c_small_records $CA $extra || exit 1
+
+echo test sslv2/sslv3 with both client and server authentication and small server buffers
+$ssltest -server_auth -client_auth -s_small_records $CA $extra || exit 1
+
+echo test sslv2/sslv3 with both client and server authentication and small client and server buffers
+$ssltest -server_auth -client_auth -c_small_records -s_small_records $CA $extra || exit 1
+
echo test sslv2 via BIO pair
$ssltest -bio_pair -ssl2 $extra || exit 1